"""
This file is part of Visuse.

Copyright (C) 2010 Jose Luis Lopez Pino jllopezpino@gmail.com

Visuse is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Visuse is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Visuse.  If not, see <http://www.gnu.org/licenses/>.

"""


#~ class ImageLink():
    #~ def __init__(self, url, width, height):
        #~ self.url = url
        #~ self.width = width
        #~ self.height = height
		
		
class Result():
	def __init__(self, name, url):
		self.name = name
		self.url = url
	def __str__(self):
		return self.name + "\n" + self.url + "\n"

class ImageResult():
	def __init__(self, name, url, thumbnail):
		Result.__init__(self, name, url)
		self.thumbnail = thumbnail
	def __str__(self):
		return "%s\n%s\n%s\n" % (self.name, self.url, self.thumbnail)
		
class SearchModule():
	def __init__(self):
		self.resultList = []
		
	def __str__(self):
		str = ""
		for n in range(0, len(self.resultList)):
			str += "===== %d =====\n" % n
			str += "%s" % self.resultList[n]
		return str
		
	def search(self, search_terms):
		return self.resultList

	def add(self, entry):
		pass


